Package org.apache.any23.extractor.html

## Class XFNExtractor

- java.lang.Object
- - org.apache.any23.extractor.html.XFNExtractor

- All Implemented Interfaces:
    `Extractor<Document>`, `Extractor.TagSoupDOMExtractor`

      public class XFNExtractor
      extends Object
      implements Extractor.TagSoupDOMExtractor

  Extractor for the XFN microformat.
  Author:
    Richard Cyganiak (richard@cyganiak.de)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.any23.extractor.Extractor

      `Extractor.BlindExtractor, Extractor.ContentExtractor, Extractor.TagSoupDOMExtractor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XFNExtractor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExtractorDescription` | `getDescription()` | Returns a `ExtractorDescription` of this extractor.
    `void` | `run​(ExtractionParameters extractionParameters, ExtractionContext extractionContext, Document in, ExtractionResult out)` | Executes the extractor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XFNExtractor

          public XFNExtractor()

  - ### Method Detail

    - #### getDescription

          public ExtractorDescription getDescription()

      Description copied from interface: `Extractor`
      Returns a `ExtractorDescription` of this extractor.
      Specified by:
        `getDescription` in interface `Extractor<Document>`
      Returns:
        the object representing the extractor description.

    - #### run

          public void run​(ExtractionParameters extractionParameters,
                          ExtractionContext extractionContext,
                          Document in,
                          ExtractionResult out)
                   throws IOException,
                          ExtractionException

      Description copied from interface: `Extractor`
      Executes the extractor. Will be invoked only once, extractors are not reusable.
      Specified by:
        `run` in interface `Extractor<Document>`
      Parameters:
        `extractionParameters` - the parameters to be applied during the extraction.
        `extractionContext` - The document context.
        `in` - The extractor input data.
        `out` - the collector for the extracted data.
      Throws:
        `IOException` - On error while reading from the input stream.
        `ExtractionException` - On other error, such as parse errors.